# Visualization
TKMeshVS
MeshVS

# MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger Class Reference

`#include <MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger ()
Standard_EXPORT | MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger (const MeshVS_DataMapOfColorMapOfInteger &aMap)
Standard_EXPORT void | Initialize (const MeshVS_DataMapOfColorMapOfInteger &aMap)
Standard_EXPORT const Quantity_Color & | Key () const
Standard_EXPORT const TColStd_MapOfInteger & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger | ( |  | ) |

Standard_EXPORT MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger | ( | const MeshVS_DataMapOfColorMapOfInteger & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::Initialize | ( | const MeshVS_DataMapOfColorMapOfInteger & | aMap | ) |

Standard_EXPORT const Quantity_Color& MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::Key | ( |  | ) | const

void MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::operator new | ( | size_t | size | ) | `[inline]`

void* MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const TColStd_MapOfInteger& MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- MeshVS_DataMapIteratorOfDataMapOfColorMapOfInteger.hxx